# norootforbuild

%define soname 1

Name:				libvdpau
Version:			0.4
Release:			1.18
Summary:			VDPAU
Source:			http://cgit.freedesktop.org/~aplattner/libvdpau/snapshot/libvdpau-%{version}.tar.bz2
URL:				http://cgit.freedesktop.org/~aplattner/libvdpau
Group:			System/Libraries
License:			BSD
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	xorg-x11-devel
BuildRequires:	gcc gcc-c++ libstdc++-devel make glibc-devel pkgconfig
BuildRequires:	autoconf automake libtool

%description
VDPAU.

%package -n %{name}%{soname}
Summary:			VDPAU Wrapper Library
Group:         System/Libraries

%description -n %{name}%{soname}
The Video Decode and Presentation API for Unix (VDPAU) provides a complete
solution for decoding, post-processing, compositing, and displaying compressed
or uncompressed video streams. These video streams may be combined
(composited) with bitmap content, to implement OSDs and other application user
interfaces.

Note that this package only contains the VDPAU headers that are required to
build applications. At runtime, the shared libraries are needed too and may
be installed using the proprietary nVidia driver packages.




Authors:
--------
    nVidia Corporation <linux-bugs@nvidia.com>

%package devel
Summary:			VDPAU Development Environment
Group:         Development/Libraries/C and C++
Requires:      %{name}%{soname} = %{version}
Provides:      nvidia-vdpau-devel = 190.36-1
Obsoletes:     nvidia-vdpau-devel < 190.36-1

%description devel
The Video Decode and Presentation API for Unix (VDPAU) provides a complete
solution for decoding, post-processing, compositing, and displaying compressed
or uncompressed video streams. These video streams may be combined
(composited) with bitmap content, to implement OSDs and other application user
interfaces.

Note that this package only contains the VDPAU headers that are required to
build applications. At runtime, the shared libraries are needed too and may
be installed using the proprietary nVidia driver packages.




Authors:
--------
    nVidia Corporation <linux-bugs@nvidia.com>

%package -n %{name}_trace
Summary:			VDPAU Trace Implementation Library
Group:         System/Libraries

%description -n %{name}_trace
The Video Decode and Presentation API for Unix (VDPAU) provides a complete
solution for decoding, post-processing, compositing, and displaying compressed
or uncompressed video streams. These video streams may be combined
(composited) with bitmap content, to implement OSDs and other application user
interfaces.

This package provides a fallback, fake VDPAU implementation for runtime, which
is used when no proper VDPAU implementation library is available (such as
libvdpau_nvidia.so)




Authors:
--------
    nVidia Corporation <linux-bugs@nvidia.com>

%debug_package
%prep
%setup -q

%build
[ -e ./configure ] || ./autogen.sh
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}/libvdpau.la"

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libvdpau.so.%{soname}
%{_libdir}/libvdpau.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc
%exclude %{_libdir}/vdpau/libvdpau_trace.la
%exclude %{_libdir}/vdpau/libvdpau_trace.so


%files -n %{name}_trace
%defattr(-,root,root)
%dir %{_libdir}/vdpau
%{_libdir}/vdpau/libvdpau_trace.so.%{soname}.*
%{_libdir}/vdpau/libvdpau_trace.so.%{soname}

%changelog
* Sun Feb 21 2010 herbert@links2linux.de
- update to verion 0.4
* Mon Nov  2 2009 herbert@links2linux.de
- Obsolete/Provide old nvidia-vdpau-devel package
* Sat Oct 24 2009 pascal@links2linux.de
- initial package (0.2)
